#include <Be.h>
#include "TickTock.h"

class Win : public BWindow, public Ticker
{
public:
	Win(BRect frame);
	virtual ~Win();
	virtual bool QuitRequested();
private:
	BView *v;
};

class App : public BApplication
{
public:
	App();
private:
	Win *w;
};

App::App()
	: BApplication("application/x-vnd.inttest")
{
	BRect f(100, 100, 400, 400);
	w = new Win(f);
	w->Show();
}

Win::Win(BRect frame)
	: BWindow(frame, "IntTest", B_TITLED_WINDOW, B_NOT_ZOOMABLE)
{
	v = new BView(Bounds(), "name", B_FOLLOW_ALL_SIDES, B_WILL_DRAW);
	v->SetViewColor(222, 222, 222);
	AddChild(v);
}

bool Win::QuitRequested()
{
	be_app->PostMessage(B_QUIT_REQUESTED);
	return(true);
}

Win::~Win()
{
	
}
int main()
{
	App *a  = new App();
	a->Run();
	delete a;
return 0;
}